Bug 426607 - Monotone-server RPM cannot add "monotone" user id.
Monotone-server RPM cannot add "monotone" user id.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: monotone (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-22 17:41 EST by Geert Jansen
Modified: 2007-12-26 18:51 EST (History)
0 users

See Also:
Fixed In Version: 0.38-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-23 17:50:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geert Jansen 2007-12-22 17:41:10 EST
Description of problem:

Error adding user in post script of monotone-server

Version-Release number of selected component (if applicable):

0.37-3.fc8

How reproducible:

Always

Steps to Reproduce:

1. Ensure monotone-server is not installed and the user "monotone" does not exist.
2. yum install monotone-server
  
Actual results:

  [...]
  Running Transaction Test
  Finished Transaction Test
  Transaction Test Succeeded
  Running Transaction
  Usage: useradd [options] LOGIN

  Options:
    -b, --base-dir BASE_DIR       base directory for the new user account
  [...]

Expected results:

The user "monotone" should be added without error.

Additional info:

It can be easily seen that the "post" script for monotone-server forgets to add
the user name when it uses the "useradd" command to add a user.

$ rpm -q --scripts monotone-server
[...]
useradd -r -g monotone -r -d /var/db/monotone -s /sbin/nologin \
        -c "Monotone Netsync Server" [XXX: user expected here!]
exit 0
[...]
Comment 1 Fedora Update System 2007-12-23 17:50:27 EST
monotone-0.38-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2007-12-23 17:51:11 EST
monotone-0.38-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Geert Jansen 2007-12-24 05:44:03 EST
It works now -- thanks for the quick update.
Comment 4 Fedora Update System 2007-12-26 18:51:03 EST
monotone-0.38-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-12-26 18:51:21 EST
monotone-0.38-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.